#include <stdio.h>
#include <stdlib.h>
#include <time.h>
int main(void)
{
    int h,n;
    scanf("%d %d", &h, &n);
    int matrix[h][n];
    int i,j;
    srand(time(0));
    for (i=1;i<=h;i++)
    {
        for(j=0;j<n;j++)
        {
            scanf("%d",&j);


        }
       scanf("%d", &i);
     if(n%2==0)
     {
         j = j+1;
     }
     if(n%2==1)
     {
         j = j-1;
     }
     if(j >= n)
     {
     printf("%d\t",j);
     }
    }


    
}